Sandboxes
List snapshots
List the snapshots that belong to the authenticated team, optionally filtering by source sandbox.
GET
/
v1
/
snapshots
List snapshots
curl --request GET \
--url https://api.offstage.cloud/v1/snapshots \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.offstage.cloud/v1/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.offstage.cloud/v1/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"snapshots": [
{
"id": "<string>",
"sourceSandboxId": "<string>",
"session": "headless",
"createdAt": 1,
"expiresAt": 1,
"bytes": 1,
"state": "capturing",
"name": "<string>",
"durableAt": 1,
"error": "<string>"
}
]
}{
"error": {
"code": "sandbox-closed",
"message": "sandbox sbx_mh3k2f9aQ1xYz0aBcDeFgHiJ is closed (idle)",
"fix": "create a new sandbox",
"requestId": "req_mh3k2f9aQ1xYz0aBcDeFgHiJ"
}
}{
"error": {
"code": "sandbox-closed",
"message": "sandbox sbx_mh3k2f9aQ1xYz0aBcDeFgHiJ is closed (idle)",
"fix": "create a new sandbox",
"requestId": "req_mh3k2f9aQ1xYz0aBcDeFgHiJ"
}
}{
"error": {
"code": "sandbox-closed",
"message": "sandbox sbx_mh3k2f9aQ1xYz0aBcDeFgHiJ is closed (idle)",
"fix": "create a new sandbox",
"requestId": "req_mh3k2f9aQ1xYz0aBcDeFgHiJ"
}
}⌘I
List snapshots
curl --request GET \
--url https://api.offstage.cloud/v1/snapshots \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.offstage.cloud/v1/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.offstage.cloud/v1/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"snapshots": [
{
"id": "<string>",
"sourceSandboxId": "<string>",
"session": "headless",
"createdAt": 1,
"expiresAt": 1,
"bytes": 1,
"state": "capturing",
"name": "<string>",
"durableAt": 1,
"error": "<string>"
}
]
}{
"error": {
"code": "sandbox-closed",
"message": "sandbox sbx_mh3k2f9aQ1xYz0aBcDeFgHiJ is closed (idle)",
"fix": "create a new sandbox",
"requestId": "req_mh3k2f9aQ1xYz0aBcDeFgHiJ"
}
}{
"error": {
"code": "sandbox-closed",
"message": "sandbox sbx_mh3k2f9aQ1xYz0aBcDeFgHiJ is closed (idle)",
"fix": "create a new sandbox",
"requestId": "req_mh3k2f9aQ1xYz0aBcDeFgHiJ"
}
}{
"error": {
"code": "sandbox-closed",
"message": "sandbox sbx_mh3k2f9aQ1xYz0aBcDeFgHiJ is closed (idle)",
"fix": "create a new sandbox",
"requestId": "req_mh3k2f9aQ1xYz0aBcDeFgHiJ"
}
}